Package org.drinkless.tdlib

# Class TdApi.PaymentForm

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PaymentForm

Enclosing class:
  `TdApi`

public static class TdApi.PaymentForm extends TdApi.Object
Contains information about an invoice payment form.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `id`
  The payment form identifier.
  `TdApi.ProductInfo`
  `productInfo`
  Information about the product.
  `long`
  `sellerBotUserId`
  User identifier of the seller bot.
  `TdApi.PaymentFormType`
  `type`
  Type of the payment form.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PaymentForm()`
  Contains information about an invoice payment form.
  `PaymentForm(long id, TdApi.PaymentFormType type, long sellerBotUserId, TdApi.ProductInfo productInfo)`
  Contains information about an invoice payment form.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public long id
    The payment form identifier.

  - ### type

    public TdApi.PaymentFormType type
    Type of the payment form.

  - ### sellerBotUserId

    public long sellerBotUserId
    User identifier of the seller bot.

  - ### productInfo

    public TdApi.ProductInfo productInfo
    Information about the product.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PaymentForm

    public PaymentForm()
    Contains information about an invoice payment form.

  - ### PaymentForm

    public PaymentForm(long id, TdApi.PaymentFormType type, long sellerBotUserId, TdApi.ProductInfo productInfo)
    Contains information about an invoice payment form.
    Parameters:
      `id` - The payment form identifier.
      `type` - Type of the payment form.
      `sellerBotUserId` - User identifier of the seller bot.
      `productInfo` - Information about the product.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR